%define major 1
%define libname %mklibname xcb-util %{major}
%define devname %mklibname xcb-util -d

Summary:	A number of libraries which sit on top of libxcb
Name:		xcb-util
Version:	0.4.0
Release:	1
License:	MIT
Group:		System/X11
Url:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
BuildRequires:	gperf
BuildRequires:	x11-util-macros
BuildRequires:	x11-proto-devel
BuildRequires:	pkgconfig(xcb)

%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	xcb-util library package
Group:		System/X11
Conflicts:	%{_lib}xcb1 < 1.7-2
Conflicts:	%{_lib}xcb-composite0 < 1.7-2
Conflicts:	%{_lib}xcb-damage0 < 1.7-2
Conflicts:	%{_lib}xcb-dpms0 < 1.7-2
Conflicts:	%{_lib}xcb-dri2_0 < 1.7-2
Conflicts:	%{_lib}xcb-glx0 < 1.7-2
Conflicts:	%{_lib}xcb-randr0 < 1.7-2
Conflicts:	%{_lib}xcb-render0 < 1.7-2
Conflicts:	%{_lib}xcb-record0 < 1.7-2
Conflicts:	%{_lib}xcb-res0 < 1.7-2
Conflicts:	%{_lib}xcb-screensaver0 < 1.7-2
Conflicts:	%{_lib}xcb-shape0 < 1.7-2
Conflicts:	%{_lib}xcb-shm0 < 1.7-2
Conflicts:	%{_lib}xcb-sync0 < 1.7-2
Conflicts:	%{_lib}xcb-xevie0 < 1.7-2
Conflicts:	%{_lib}xcb-xf86dri0 < 1.7-2
Conflicts:	%{_lib}xcb-xfixes0 < 1.7-2
Conflicts:	%{_lib}xcb-xinerama0 < 1.7-2
Conflicts:	%{_lib}xcb-xprint0 < 1.7-2
Conflicts:	%{_lib}xcb-xtest0 < 1.7-2
Conflicts:	%{_lib}xcb-xv0 < 1.7-2
Conflicts:	%{_lib}xcb-xvmc0 < 1.7-2

%description -n %{libname}
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

%files -n %{libname}
%{_libdir}/libxcb-util.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	A number of libraries which sit on top of libxcb
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	xcb-util-devel = %{EVRD}
Obsoletes:	%{_lib}xcb-static-devel < 0.3.9

%description -n %{devname}
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

%files -n %{devname}
%{_includedir}/xcb/xcb_atom.h
%{_includedir}/xcb/xcb_aux.h
#%{_includedir}/xcb/xcb_bitops.h
%{_includedir}/xcb/xcb_event.h
%{_includedir}/xcb/xcb_util.h
%{_libdir}/libxcb-util.so
%{_libdir}/pkgconfig/xcb-atom.pc
%{_libdir}/pkgconfig/xcb-aux.pc
%{_libdir}/pkgconfig/xcb-event.pc
%{_libdir}/pkgconfig/xcb-util.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std


%changelog

* Tue Sep 29 2015 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 0.4.0-1
- (a5fc092) Updated to version 0.4.0


